Runtime

## org.eclipse.gmf.runtime.diagram.ui.providers
Class DiagramContributionItemProvider

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.ui.services.action.contributionitem.AbstractContributionItemProvider
              org.eclipse.gmf.runtime.diagram.ui.providers.DiagramContributionItemProvider

All Implemented Interfaces:
  org.eclipse.gmf.runtime.common.ui.services.action.internal.contributionitem.IContributionDescriptorReader, org.eclipse.gmf.runtime.common.ui.services.action.internal.contributionitem.IContributionItemProvider, IProvider

public class DiagramContributionItemProvider
extends AbstractContributionItemProvider

Constructor Summary
`DiagramContributionItemProvider()`

Method Summary
`protected IAction` `createAction(java.lang.String actionId, IWorkbenchPartDescriptor partDescriptor)` Creates the action with the given id.
`protected IContributionItem` `createCustomContributionItem(java.lang.String customId, IWorkbenchPartDescriptor partDescriptor)` Creates the custom contribution with the given id.
`protected IMenuManager` `createMenuManager(java.lang.String menuId, IWorkbenchPartDescriptor partDescriptor)` Creates the menu manager with the given id.

Methods inherited from class org.eclipse.gmf.runtime.common.ui.services.action.contributionitem.AbstractContributionItemProvider
`contributeToActionBars, contributeToPopupMenu, createActionGroup, disposeContributions, getAction, getAction, getActionFromRegistry, getActionGroup, getSelectedObject, getStructuredSelection, provides, setContributionDescriptor, updateActionBars`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Constructor Detail

### DiagramContributionItemProvider

    public DiagramContributionItemProvider()

Method Detail

### createCustomContributionItem

    protected IContributionItem createCustomContributionItem(java.lang.String customId,
                                                             IWorkbenchPartDescriptor partDescriptor)

  Description copied from class: `AbstractContributionItemProvider`
  Creates the custom contribution with the given id. By default, this method does nothing. Subclasses must override to provide their own implementation of custom contribution creation.

  Overrides:
    `createCustomContributionItem` in class `AbstractContributionItemProvider`
  Parameters:
    `customId` - The custom contribution id
    `partDescriptor` - The workbench part descriptor
  Returns:
    The custom contribution with the given id

### createMenuManager

    protected IMenuManager createMenuManager(java.lang.String menuId,
                                             IWorkbenchPartDescriptor partDescriptor)

  Description copied from class: `AbstractContributionItemProvider`
  Creates the menu manager with the given id. By default, this method does nothing. Subclasses must override to provide their own implementation of menu manager creation.

  Overrides:
    `createMenuManager` in class `AbstractContributionItemProvider`
  Parameters:
    `menuId` - The menu manager id
    `partDescriptor` - The workbench part descriptor
  Returns:
    The menu manager with the given id

### createAction

    protected IAction createAction(java.lang.String actionId,
                                   IWorkbenchPartDescriptor partDescriptor)

  Description copied from class: `AbstractContributionItemProvider`
  Creates the action with the given id. By default, this method does nothing. Subclasses must override to provide their own implementation of action creation.

  Overrides:
    `createAction` in class `AbstractContributionItemProvider`
  Parameters:
    `actionId` - The action id
    `partDescriptor` - The workbench part descriptor
  Returns:
    The action with the given id

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.